import humps
from datetime import date as date_type, datetime
from pydantic import BaseModel


class AcquiredNdmiResource(BaseModel):
    timestamp: date_type
    data: list


class PredictedNdmiResource(BaseModel):
    timestamp: date_type
    data: list
    cumulated_pluvio_ref: str
    ndmi_ref: str

    class Config:
        alias_generator = humps.camelize
        allow_population_by_field_name = True


class PredictedFloodResource(BaseModel):
    station: str
    timestamp: datetime
    value: str
    cumulated_pluvio_ref: str
    ndmi_ref: str

    class Config:
        alias_generator = humps.camelize
        allow_population_by_field_name = True


class CumulatedPluvioResource(BaseModel):
    timestamp: date_type
    data: list
    type: str
    ndmi_ref: str

    class Config:
        alias_generator = humps.camelize
        allow_population_by_field_name = True
